%define name bonnie
%define version 1.0
%define release 8mdk

Summary: Unix filesystem performance benchmark
Name: %{name}
Version: %{version}
Release: %{release}
Source: ftp://sunsite.unc.edu/pub/Linux/system/Misc/bonnie.tar.bz2
Patch0: bonnie-1.0-autoconf.patch.bz2
Patch1: bonnie-1.0-autoconf-fix.patch.bz2
Copyright: distributable
Group: System/Kernel and hardware
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{version}-%{name}-root

%description
Bonnie is a popular filesystem benchmark which attempt to study
bottlenecks.

%prep
%setup -n bonnie
%patch0 -p1
%patch1 -p1
autoheader
automake --foreign --add-missing
aclocal
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc bonnie.doc
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0-8mdk
- convert to autoconf/automake

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-7mdk
- macrosifications
- rebiuld for the BM

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0-6mdk
- group fix

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix group

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- initial release.
